﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;

namespace Download_File_AJAX_MVC.Controllers
{
    public class HomeController : Controller
    {
        // GET: Home
        public ActionResult Index()
        {
            return View();
        }

        [HttpPost]
        public ContentResult DownloadFile(string fileName)
        {
            //Set the File Folder Path.
            string path = Server.MapPath("~/Files/");

            //Read the File as Byte Array.
            byte[] bytes = System.IO.File.ReadAllBytes(path + fileName);

            //Convert File to Base64 string and send to Client.
            string base64 =  Convert.ToBase64String(bytes, 0, bytes.Length);

            return Content(base64);
        }
    }
}